List active proxy connections
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");curl_easy_setopt(hnd, CURLOPT_URL, "https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001")) .header("Authorization", "Bearer <token>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.proxyrequest.com/api/v1/analytics/connections', params: { package_id: '550e8400-e29b-41d4-a716-446655440002', user_id: '550e8400-e29b-41d4-a716-446655440001' }, headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val request = Request.Builder() .url("https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001") .get() .addHeader("Authorization", "Bearer <token>") .build()
val response = client.newCall(request).execute()use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.proxyrequest.com/api/v1/analytics/connections";
let querystring = [ ("package_id", "550e8400-e29b-41d4-a716-446655440002"), ("user_id", "550e8400-e29b-41d4-a716-446655440001"), ];
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap());
let client = reqwest::Client::new(); let response = client.get(url) .query(&querystring) .headers(headers) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url 'https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001' \ --header 'Authorization: Bearer <token>'wget --quiet \ --method GET \ --header 'Authorization: Bearer <token>' \ --output-document \ - 'https://api.proxyrequest.com/api/v1/analytics/connections?package_id=550e8400-e29b-41d4-a716-446655440002&user_id=550e8400-e29b-41d4-a716-446655440001'Returns a paginated snapshot of active connections for the selected user and package scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Maximum records returned on this page.
Zero-based number of matching records to skip.
Restrict results to one purchased package.
Examples
550e8400-e29b-41d4-a716-446655440002Restrict results to the current account or an accessible sub-user.
Examples
550e8400-e29b-41d4-a716-446655440001Responses
Section titled “Responses”The operation completed successfully.
object
object
Examples
Active connections
{ "count": 1, "next": null, "previous": null, "results": [ { "user_id": "550e8400-e29b-41d4-a716-446655440001", "package_id": "550e8400-e29b-41d4-a716-446655440002", "connections": 12, "server_ip": "203.0.113.10" } ]}The request is malformed or violates a business rule.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Validation error
{ "non_field_errors": [ "The request could not be processed." ], "translation": "errors.request.invalid"}Authentication credentials are missing, expired, or invalid.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Authentication required
{ "detail": "Authentication credentials were not provided."}The authenticated account cannot perform this operation.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Permission denied
{ "detail": "You do not have permission to perform this action."}The service could not complete the operation.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Stable translation key suitable for client localisation.
Examples
Internal service error
{ "non_field_errors": [ "Internal server error." ]}